/**
 * 
 */
package com.pjaol.ifodder.storage;

import java.sql.Connection;
import java.sql.SQLException;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

import org.apache.log4j.Logger;

import com.pjaol.ifodder.config.ConfigHandler;

/**
 * @author pjaol
 *
 */
public class DBConnection {

	private DataSource ds;
	private Logger _log = Logger.getLogger(getClass().getName());
	
	public DBConnection () throws NamingException {
	
		if (ds == null) {
			Context ctx = new InitialContext();
			String jndi = ConfigHandler.getConfig("db.jndi");
			_log.info("Loading DB JNDI "+jndi);

			Context envCtx = (Context) ctx.lookup("java:comp/env");
			
			ds = (DataSource)envCtx.lookup(jndi);
//			try {
//				ds.setLoginTimeout(new Integer(ConfigHandler.getConfig("db.loginTimeout")).intValue());
//			} catch (NumberFormatException e) {
//				e.printStackTrace();
//			} catch (SQLException e) {
//				e.printStackTrace();
//			}
		}
	}
	
	public Connection getConnection() throws SQLException{
		return ds.getConnection();
	}
	
}
